Subject: convert crlf to eol on vendor branch overlay

From: "Neal Kreitzinger" <[email-masked]>
Date: Thu, 7 Apr 2011 21:40:29 -0500

My vendor gave me a tarball with all CRLF eol's.  I'm using the 
vendor-branch overlay method (git ls-files -z | xargs -0 rm -f && tar -xvzf 
tarfile.tar.gz).  How do I convert the eol's to LF?

I tried this:

vi .git/attributes
SRC/*/* text  (convert these to LF eol on commit)

$ git config core.eol lf (convert "text" attr files to LF eol on checkout)

$ git add . -A
$ git commit -m'convert eol'  (should convert CRLF to LF)
$ git checkout otherbranch  (change worktree)
$ git checkout vendorbranch (checkout worktree from commit to get LF 
version)
$ git reset HEAD^  (remove commit but keep worktree LF version)
$ git diff (still CRLF)
$ git status (still show everything as modified due to CRLF)

v/r,
neal